System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.OutputCacheProfile), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The allows to centralize the management of the output cache settings used by pages or user controls.

It allows you to programmatically access and modify the objects it contains.

The can be applied to a page using the CacheProfile attribute of the @ OutputCache directive.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection cannot contain a object with the same name.

  Adds a object to the collection.

  The name of the object to add to the collection. 2.0.0.0
- Property
  System.String[] To be added. To be added.

  Gets the keys.

  2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the corresponding section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the corresponding section of the current configuration file are removed.

  Removes all the objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Web.Configuration.OutputCacheProfile `` To be added.

  Gets the element at the specified index.

  The element at the specified index.

  The index of the element. 2.0.0.0
- Method
  System.Web.Configuration.OutputCacheProfile `` To be added.

  Gets the element with the specified name.

  The element with the specified name.

  The name of the element. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the key at the specified index.

  The key with the specified index.

  The index of the key. 2.0.0.0
- Property
  System.Web.Configuration.OutputCacheProfile `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.OutputCacheProfile `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  The method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes the object with the specified name from the collection.

  The name of the element to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method inserts a remove element into the corresponding section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the corresponding section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes the object at the specified index from the collection.

  The index of the element to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  The method modifies an existing element.

  Sets the specified object.

  The element to set. 2.0.0.0